Subject: bug#19300: 24.4.51; visual-line-mode messes up after-string rendering when it spans all window columns

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Dec 2014 18:04:38 +0200

> Date: Mon, 08 Dec 2014 12:14:35 +0200
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 12/08/2014 05:46 AM, Eli Zaretskii wrote:
> 
> > Please explain what exactly is not right about the results.
> > visual-line-mode doesn't understand the text it renders, it just
> > breaks lines at whitespace.  What would you expect it to do instead in
> > this use case?
> 
> I'd expect the text not to be broken, because the `after-string' text 
> already includes newlines

visual-line-mode doesn't care about newlines, when the stuff before
the newline overflows the window width.

> and the length of each line there equals to the value reported by
> (window-width).

Not here: I need to resize a bit the windows showing the overlays, in
order to see something similar to your images.

> Without overlays, even when visual-line-mode is enabled, I can make a 
> window body 34 chars wide and type 34 characters (maybe including 
> spaces) on a line without seeing them break up.

Are you saying that if you insert your test-string-1 and test-string-2
into the respective windows as buffer text, you see them displayed
differently than the overlay in the same window?  If so, I cannot
reproduce this: I see both the overlay and the buffer text wrap
exactly identically.